X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Upgrade to 18.0 has disabled Java even though plugin checker says Java 7 Update 10 is up to date, yet webpages using java display "missing plug in" error

Posted

Attempting to install the "missing plug-in" using the Firefox prompts results in Java 7 Update 10 being installed, re-installing it is successful and does not resolve the issue, Firefox 18 refuses to allow/display java content even with the proper updated version of Java installed.

This problem ONLY occurred immediately following this mornings update to Firefox 18.0.

Chosen solution

https://bugzilla.mozilla.org/show_bug.cgi?id=820759

Please don't post in the bug, but there is a workaround listed. I believe Oracle is working on a fix.

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 11.5 r502
  • RealJukebox Netscape Plugin
  • RealNetworks(tm) RealPlayer Chrome Background Extension Plug-In
  • RealPlayer(tm) HTML5VideoShim Plug-In
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealPlayer Download Plugin
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.01
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.8.638
  • Google Update
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.7.637
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.6.636
  • Adobe Shockwave for Director Netscape plug-in, version 11.6.5.635
  • 5.1.10411.0
  • Picasa plugin
  • Yahoo Application State Plugin version 1.0.0.7
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • iTunes Detector Plug-in
  • DRM Netscape Network Object
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • Yahoo! activeX Plug-in Bridge
  • Windows Multimedia Services DRM Store Plug-In
  • Intel Indeo® video 5.1 PD Plug-In

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:18.0) Gecko/20100101 Firefox/18.0

More Information

Matt_G
  • Administrator
  • Moderator
380 solutions 1848 answers

Hi evan.finneran,

Can you give us more details? More context around where, when, and how to reproduce the issue would be most appreciated!

Matt

Question owner

Context:

Yesterday: Java working fine.

This morning: Update to Firefox 18.0

Java will not work, not at all even with Java 7 Update 10 installed, not even the "verify java version" applet at http://www.java.com/en/download/installed.jsp will display.

When attempting to view/display any java content the "missing plug-in" error bar at the top of the page displays and attempting to install the required plug-in via that method does not resolve the issue even though the correct version of Java is installed and the plug-in checker verified it was "up-to-date".

jawa 0 solutions 1 answers

For me, uninstalling and then reinstalling java helped. But from official website (not from the Firefox notification).

Question owner

Thank you jawa, I tried that before creating this question.

Matt_G
  • Administrator
  • Moderator
380 solutions 1848 answers

Chosen Solution

https://bugzilla.mozilla.org/show_bug.cgi?id=820759

Please don't post in the bug, but there is a workaround listed. I believe Oracle is working on a fix.

Question owner

Matt_G:

The solution with erasing the listed registry keys after uninstalling Java and then reinstalling solved the problem.

Matt_G
  • Administrator
  • Moderator
380 solutions 1848 answers

Good to hear it! There should be a true fix soon, but at least we've got a valid workaround.

Procrustian 0 solutions 1 answers

It's all hosed now, thanks to the latest update to firefox 18.0 Like everyone else is saying, I updated my Java because ff did a hard block on the Java plugin. Now it appears that everything is cool with the new Java update, except that it doesn't work on ff, even though the ff plugin check says EVERYTHING IS FINE!!! Just another wonderful day here in the neighborhood.

reallymurphy 0 solutions 11 answers

I am having the exact same problem. I like to play backgammon online at Yahoo Games. IT says I am missing the latest Java plug in. I have downloaded and installed the latest Java (7) plugin. I deleted all the old Java environments (6 etc). Rebooted the machine. Still will not work. Good old Oracle.